/* ======================================================================================================================================
  @author Grant McKenzie (grant.mckenzie@geog.ucsb.edu)
  @date 02/02/2014
  @project Project 2 
  @course MAT259
  @description This project shows the individual Dewey Classes for the books in the Seattle Public Library styled by check-out signature
  @file utilities file doing all the heavy lifting
  ======================================================================================================================================== */
 void setGradient(int x, int y, float w, float h, color c1, color c2 ) {
  
    noFill();
  
      for (int i = y; i <= y+h; i++) {
        float inter = map(i, y, y+h, 0, 1);
        color c = lerpColor(c1, c2, inter);
        stroke(c);
        line(x, i, x+w, i);
      }
  
  }

void pieChart(float diameter, int[] data, int x, int y) {
  float lastAngle = 0;
  color[] colors = {#fbb4ae,#b3cde3,#ccebc5,#fed9a6};
  for (int i = 0; i < 4; i++) {
    // println(data[i]);
    //float gray = map(i, 0, 4, 0, 255);
    //fill(gray);
    fill(colors[i]);
    arc(x, y, diameter, diameter, lastAngle, lastAngle+radians(data[i]));
    lastAngle += radians(data[i]);
  }
}
